Subject: Re: bug#36803: 27.0.50; Update mode-line of every window when compilation ends

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Jul 2019 13:34:50 +0300

On July 25, 2019 12:42:27 PM GMT+03:00, Lars Ingebrigtsen <[email-masked]> wrote:
> Kévin Le Gouguec <[email-masked]> writes:
> 
> > The recent changes on the compilation-in-progress indicator[1] made
> me
> > realize that the indicator lingers in the mode-lines of some
> windows.
> > To reproduce from emacs -Q:
> >
> >     C-x 2
> >     C-x 2
> >     M-x compile RET C-a C-k true RET
> >
> > "[Compiling]" correctly disappears from the current window and the
> > compilation window, but it lingers on the mode-line of the third
> window.
> 
> Was this the case before, too, when the "Compiling" lighter was
> displayed from minor-mode-alist, or is that somehow updated...
> differently? 
> 
> > The attached patch trivially fixes the issue; I do not know whether
> it's
> > appropriate, or maybe too heavyweight.
> >
> > WDYT?
> 
> -    (force-mode-line-update)
> +    (force-mode-line-update t)
> 
> >From the doc string, that sounds like the right thing to do -- I
> mean,
> the lighter is displayed in all mode lines, so I guess you have to do
> it
> that way?

This seems to be a regression since Emacs 25, as it works for me upto and including Emacs 24.5.  So I think it would be nice to bisect to see which change caused this, before we decide how to fix it.

Thanks